Skip to content
Proud to collaborate with Microsoft for Startups

docusign.connect-configurations.put-connect-oauth-config ​

Updates the existing Connect OAuth configuration for the account.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
authorizationserverurlstringNo—The token URL for your authorization server or OAuth service. This property is required.
clientidstringNo—The client ID assigned to your app by your authorization server or OAuth service. This property is required.
clientsecretstringNo—The secret value provided by your authorization server. This property is required.
customparametersjsonNo——
scopestringNo—The scopes that your app will request from the authorization server. This property is optional. Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api:///.default

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
authorizationserverurlstringNo—The token URL for your authorization server or OAuth service. This property is required.
clientidstringNo—The client ID assigned to your app by your authorization server or OAuth service. This property is required.
clientsecretstringNo—The secret value provided by your authorization server. This property is required.
customparametersjsonNo——
scopestringNo—The scopes that your app will request from the authorization server. This property is optional. Note: If you are using Azure, this value is the application ID URI of the secified resource affixed with the .default. For example: api:///.default
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/connect/oauth
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/connect/oauth
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.connect-configurations.put-connect-oauth-config",
  "initial_data": {
    "base_url": "value",
    "accountid": "value"
  }
}